L Series: Error: "This client's firmware is unsupported by the terminal server software"

L Series: Error: "This client's firmware is unsupported by the terminal server software"

Scope

When attempting to connect to an L-series vSpace host on the network, the error appears, and the connection fails.

If you use a L Series Legacy Device (L100, L110, L120, or L200) device, these are outdated, need to be upgraded and because of their age may have little or no support available.  Models L130 and L230 are more recent legacy products and will connect to both vSpace 4 and vSpace 6 only.

We suggest to check out our new line of products and consult your sales representative or authorized partner about updating your product.  You can also check the NComputing Product Lifecycle page in order to identify your product and determine its support status. 

Also, "Classic Versions" like vSpace 6 and 4 will be permanently discontinued after June 30th, 2020.  
Please upgrade promptly to our latest platform  vSpace Pro
If you need technical support to guide you on your upgrade, you can contact us here

Firmware update process

Our best suggestion is to ensure that you are using the right firmware version that matches your vSpace software.  For this purpose, you will be performing a Firmware Update

For L-230 and older devices:

Access the firmware menu of the access terminal and go to Options > Setup and click on the Update Tab.  The firmware update password is: updateme.  The device will then inform you of the firmware update progress.  

After the device update has finished you will see a message that reads: “Reset UTMA/UTSA device”.  You must wait until you see this message and then, turn the unit off and power it back on.  This will finish the update process.  

Turning off your device before time or interrupting the firmware update process can hurt your device irreversibly. 



Article #KB083
Last Edited: May 22, 2020

    • Related Articles

    • L Series: Error: "This client model is unsupported by your version of software"

      Many factors are at play here if you receive this message:  You have a Legacy Terminal If you use a L Series Legacy Device (L100, L110, L120, or L200) device, these are outdated, need to be upgraded and because of their age may have little or no ...
    • Update L300 Firmware (Classic vSpace 6)

      "Classic Versions" like vSpace 6 will be permanently discontinued after June 30th, 2020.   Please upgrade promptly to our latest platform  vSpace Pro.  If you are using version 6 because of terminals that are not compatible with vSpace Pro 11 or ...
    • Update L Series Firmware in vSpace Pro

      Update via vSpace console Make sure your L300 devices and at least one vSpace host are on the same ethernet subnet.  Out of LAN updates could only be possible if proper configurations to the network have happen to accommodate UDP protocols to pass ...
    • L Series: Error: "Terminal server yet not ready, please retry attempt a bit later"

      If you use a L Series Legacy Device (L100, L110, L120, or L200) device, these are outdated, need to be upgraded and because of their age may have little or no support available.  Models L130 and L230 are more recent legacy products and will connect ...
    • How can I update the RX300 firmware?

      Please refer to RX-RDP, RX420(RDP), RX300 and LEAF OS user configuration guide for additional details:  https://support.ncomputing.com/portal/kb/articles/rx300-rx-rdp-user-configuration-guide The Support section of Setup GUI contains firmware update ...